Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.attributeSelection
Class BestFirst.LinkedList2

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<E>
                  weka.core.FastVector
                      weka.attributeSelection.BestFirst.LinkedList2

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess, Copyable, RevisionHandler

Enclosing class:
  BestFirst

    public class BestFirst.LinkedList2

extends FastVector

Class for handling a linked list. Used in best first search. Extends the Vector class.

Author:
  Mark Hall (mhall@cs.waikato.ac.nz)
See Also:
  Serialized Form

Constructor Summary
`BestFirst.LinkedList2(int sz)`

Method Summary
`void` | `addToList(java.lang.Object[] data, double mer)` adds an element (Link) to the list.
`BestFirst.Link2` | `getLinkAt(int index)` returns the element (Link) at a specific index from the list.
`java.lang.String` | `getRevision()` Returns the revision string.
`void` | `removeLinkAt(int index)` removes an element (Link) at a specific index from the list.

Methods inherited from class weka.core.FastVector
`addElement, appendElements, copy, copyElements, elementAt, elements, elements, firstElement, insertElementAt, lastElement, removeAllElements, removeElementAt, setCapacity, setElementAt, swap`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### BestFirst.LinkedList2

    public BestFirst.LinkedList2(int sz)

Method Detail

### removeLinkAt

    public void removeLinkAt(int index)
                      throws java.lang.Exception

  removes an element (Link) at a specific index from the list.

  Parameters:
    `index` - the index of the element to be removed.
  Throws:
    `java.lang.Exception`

### getLinkAt

    public BestFirst.Link2 getLinkAt(int index)
                              throws java.lang.Exception

  returns the element (Link) at a specific index from the list.

  Parameters:
    `index` - the index of the element to be returned.
  Throws:
    `java.lang.Exception`

### addToList

    public void addToList(java.lang.Object[] data,
                          double mer)
                   throws java.lang.Exception

  adds an element (Link) to the list.

  Parameters:
    `data` - the attribute set specification
    `mer` - the "merit" of this attribute set
  Throws:
    `java.lang.Exception`

### getRevision

    public java.lang.String getRevision()

  Returns the revision string.

  Specified by:
    `getRevision` in interface `RevisionHandler`
  Overrides:
    `getRevision` in class `FastVector`
  Returns:
    the revision

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD